# Dependency

interface Dependency

A `Dependency` represents a dependency on the artifacts from a particular source. A source can be an Ivy module, a Maven POM, another Gradle project, a collection of Files, etc... A source can have zero or more artifacts.

#### Inheritors

ModuleDependency
FileCollectionDependency

## Properties

ARCHIVES_CONFIGURATION
Link copied to clipboard
val ARCHIVES_CONFIGURATION: String = "archives"
CLASSIFIER
Link copied to clipboard
val CLASSIFIER: String = "m:classifier"
DEFAULT_CONFIGURATION
Link copied to clipboard
val DEFAULT_CONFIGURATION: String = "default"

## Functions

because
Link copied to clipboard
abstract fun because(@Nullable reason: @Nullable String)
Sets the reason why this dependency should be used.
copy
Link copied to clipboard
abstract fun copy(): Dependency
Creates and returns a new dependency with the property values of this one.
getGroup
Link copied to clipboard
@Nullable
abstract fun getGroup(): @Nullable String
Returns the group of this dependency.
getName
Link copied to clipboard
abstract fun getName(): String
Returns the name of this dependency.
getReason
Link copied to clipboard
@Nullable
abstract fun getReason(): @Nullable String
Returns a reason why this dependency should be used, in particular with regards to its version.
getVersion
Link copied to clipboard
@Nullable
abstract fun getVersion(): @Nullable String
Returns the version of this dependency.